<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XMlppDomain StructType
 * @subpackage Structs
 */
class XMlppDomain extends AbstractStructBase
{
    /**
     * The domainName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $domainName;
    /**
     * The domainId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $domainId;
    /**
     * Constructor method for XMlppDomain
     * @uses XMlppDomain::setDomainName()
     * @uses XMlppDomain::setDomainId()
     * @param string $domainName
     * @param string $domainId
     */
    public function __construct($domainName = null, $domainId = null)
    {
        $this
            ->setDomainName($domainName)
            ->setDomainId($domainId);
    }
    /**
     * Get domainName value
     * @return string
     */
    public function getDomainName()
    {
        return $this->domainName;
    }
    /**
     * Set domainName value
     * @param string $domainName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMlppDomain
     */
    public function setDomainName($domainName = null)
    {
        $this->domainName = $domainName;
        return $this;
    }
    /**
     * Get domainId value
     * @return string
     */
    public function getDomainId()
    {
        return $this->domainId;
    }
    /**
     * Set domainId value
     * @param string $domainId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMlppDomain
     */
    public function setDomainId($domainId = null)
    {
        $this->domainId = $domainId;
        return $this;
    }
}
